GET
Get Wallet Cross Chain Unspents
Returns atomic cross-chain unspents that can be imported by the wallet. Supported coins: AVAX.
Path Params
-
coinstring requiredA cryptocurrency symbol or token ticker symbol -
walletIdstring required
Query Params
-
sourceChainstringReturns unspents exported from the source chain. If not provided, returns outputs from all chains.
Responses
200
OK
Response Body
array of objects
-
unspentobject requiredunspent object
-
outputIDnumber requiredType ID for this output. -
amountstring requiredAmount as a BigNumber string. -
txidstring requiredTransaction ID of this unspent. -
thresholdnumber requiredNumber of signatures required to unlock UTXO. -
addressesarray of strings required -
outputidxstring requiredIndex of the output in the transaction. -
locktimestring requiredTime that the UTXO is unlocked.
-
-
sourceChainstring requiredThe source chain -
destinationChainstring requiredThe destination chain -
fromWalletstring requiredPublic ID of the wallet (in the source chain) that created the cross-chain output. -
toWalletstring requiredPublic ID of the wallet (in the destination chain) that's the target recipient of the cross-chain transfer. -
toAddressstring requiredAddresses (in the destination chain) that are target recipients of the cross-chain transfer.
400
Bad Request
Response Body
ONE OF
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
-
namestring enum requiredInvalidWalletId -
contextobject requiredcontext object
-
idstring required
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
403
Forbidden
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
404
Not Found
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id